Last Comment Bug 633913 - Add a pseudo-class to access indeterminate <progress> elements
: Add a pseudo-class to access indeterminate <progress> elements
Status: RESOLVED FIXED
: dev-doc-complete, html5
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla6
Assigned To: Mounir Lamouri (:mounir)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks: 598833 633207 634088
  Show dependency treegraph
 
Reported: 2011-02-14 02:34 PST by Mounir Lamouri (:mounir)
Modified: 2011-05-31 13:50 PDT (History)
6 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (6.50 KB, patch)
2011-02-14 02:40 PST, Mounir Lamouri (:mounir)
no flags Details | Diff | Splinter Review
Patch v1.1 (5.74 KB, patch)
2011-02-14 06:15 PST, Mounir Lamouri (:mounir)
bzbarsky: review+
Details | Diff | Splinter Review

Description Mounir Lamouri (:mounir) 2011-02-14 02:34:26 PST
According to the specs, a progress element can be indeterminate. It might be interesting to let the authors access indeterminate progress elements given that they might want to style them differently.
Comment 1 Mounir Lamouri (:mounir) 2011-02-14 02:40:13 PST
Created attachment 512129 [details] [diff] [review]
Patch v1
Comment 2 Boris Zbarsky [:bz] (still a bit busy) 2011-02-14 06:07:53 PST
For what it's worth, this is going to conflict with the various patches in bug 	313351, and bug 598833.  I can handle merging if this lands first, I guess, but just wanted to give you a heads-up.
Comment 3 Boris Zbarsky [:bz] (still a bit busy) 2011-02-14 06:08:57 PST
And wait.  Why do you need that AfterSetAttr gunk?
Comment 4 Mounir Lamouri (:mounir) 2011-02-14 06:11:32 PST
(In reply to comment #3)
> And wait.  Why do you need that AfterSetAttr gunk?

Eh, I don't indeed: indeterminate state only depends on one attribute's value. This should make the merge issue smaller. Thanks for the noticing ;)
Comment 5 Mounir Lamouri (:mounir) 2011-02-14 06:15:27 PST
Created attachment 512147 [details] [diff] [review]
Patch v1.1

Updated patch. Boris, you won the right to review it :)
Comment 6 Boris Zbarsky [:bz] (still a bit busy) 2011-02-14 06:28:00 PST
Comment on attachment 512147 [details] [diff] [review]
Patch v1.1

s/determinated/determined/ and looks good.  And yeah, now you're only conflicting with code I haven't written yet.  ;)
Comment 7 Mounir Lamouri (:mounir) 2011-02-28 17:47:33 PST
I wonder if we shouldn't use :-moz-indeterminate instead of :indeterminate here.
Comment 8 Mounir Lamouri (:mounir) 2011-03-01 05:12:50 PST
I've open a bug against HTML specs to have it specified:
http://www.w3.org/Bugs/Public/show_bug.cgi?id=12210

Though, I should probably send an email somewhere to ask for a better specification of the indeterminate pseudo-class in CSS. I wonder if CSS3-UI couldn't simply override what Selectors say (it doesn't really say anything actually, the only specs is a Note....).
Comment 9 Mounir Lamouri (:mounir) 2011-03-02 08:05:12 PST
David, what is your feeling about comment 7? Boris is ok to not prefix it (according to our IRC conversation).
Comment 10 Mounir Lamouri (:mounir) 2011-05-09 05:36:24 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/89d4c7fd4d0d
Comment 11 Shawn Wilsher :sdwilsh 2011-05-09 16:11:22 PDT
Backed out in http://hg.mozilla.org/mozilla-central/rev/dd9ba28d2bd9 to resolve bug 655860.
Comment 12 Mounir Lamouri (:mounir) 2011-05-10 06:57:08 PDT
The regression wasn't caused by these patches. Re-landed:
http://hg.mozilla.org/mozilla-central/rev/91fa0c94e6db
Comment 13 David Baron :dbaron: ⌚️UTC-10 2011-05-10 06:58:39 PDT
I'm ok with unprefixed.
Comment 14 Eric Shepherd [:sheppy] 2011-05-31 13:50:30 PDT
Documented:

https://developer.mozilla.org/En/CSS/:indeterminate
https://developer.mozilla.org/en/HTML/Element/progress

Also listed on Firefox 6 for developers.

Note You need to log in before you can comment on or make changes to this bug.